org.bdgenomics.adam.instrumentation

# Timers

###
Related Doc: package instrumentation

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BAMLoad: Timer

5. #### val BQSRInDriver: Timer

6. #### val ComputeCovariates: Timer

7. #### val ComputeQualityScore: Timer

8. #### val ConvertToSAM: Timer

9. #### val ConvertToSAMRecord: Timer

10. #### val CreateIndelRealignmentTargets: Timer

11. #### val CreateKnownSnpsTable: Timer

12. #### val CreateReferencePositionPair: Timer

13. #### val FindTargets: Timer

14. #### val GetExtraValues: Timer

15. #### val GetReferenceFromReads: Timer

16. #### val JoinTargets: Timer

17. #### val LoadAlignmentRecords: Timer

18. #### val LoadFragments: Timer

19. #### val MapTargets: Timer

20. #### val MarkDuplicatesInDriver: Timer

21. #### val MarkReads: Timer

22. #### val ObservationAccumulatorComb: Timer

23. #### val ObservationAccumulatorSeq: Timer

24. #### val ParquetLoad: Timer

25. #### val PerformDuplicateMarking: Timer

26. #### val RealignIndelsInDriver: Timer

27. #### val RealignTargetGroup: Timer

28. #### val RecalibrateRead: Timer

29. #### val SAMSave: Timer

30. #### val SaveAsADAM: Timer

31. #### val ScoreAndMarkReads: Timer

32. #### val SortByIndex: Timer

33. #### val SortReads: Timer

34. #### val SortTargets: Timer

35. #### val SweepReadOverReferenceForQuality: Timer

36. #### val TrimCigar: Timer

37. #### val TrimLowQualityInDriver: Timer

38. #### val TrimMDTag: Timer

39. #### val TrimRead: Timer

40. #### val TrimReadsInDriver: Timer

41. #### val WriteADAMRecord: Timer

42. #### val WriteBAMRecord: Timer

43. #### val WriteCRAMRecord: Timer

44. #### val WriteSAMRecord: Timer

45. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

46. #### val clock: Clock

    Definition Classes
      Metrics

47. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

49. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

50. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

51. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

52. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

53. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

54. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

55. #### final def notify(): Unit

    Definition Classes
      AnyRef

56. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

57. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

58. #### def timer(name: String): Timer

    Definition Classes
      Metrics

59. #### def toString(): String

    Definition Classes
      AnyRef → Any

60. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped